Get Static QR Detail
curl --request GET \
--url https://api.hit-pay.com/v1/static_qr/{static_qr_id} \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/static_qr/{static_qr_id}"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/static_qr/{static_qr_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"reference": "<string>",
"payment_provider": "<string>",
"payment_provider_method": "<string>",
"amount": 123,
"currency": "<string>",
"payment_provider_method_logos": [
{
"sm": "<string>",
"md": "<string>",
"lg": "<string>",
"svg": "<string>",
"svg_square": "<string>",
"png_square": "<string>",
"method": "<string>",
"iconName": "<string>",
"displayName": "<string>"
}
],
"payment_provider_method_main_logo": {
"sm": "<string>",
"md": "<string>",
"lg": "<string>",
"svg": "<string>",
"svg_square": "<string>",
"png_square": "<string>",
"method": "<string>",
"iconName": "<string>",
"displayName": "<string>"
},
"created_by": {
"id": "<string>",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"location_id": "<string>",
"location": {
"name": "<string>",
"address": "<string>"
},
"device_id": "<unknown>",
"device": "<unknown>",
"qr_value": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Static QR Codes
Get Static QR Details
Retrieve static QR code details and configuration
GET
/
v1
/
static_qr
/
{static_qr_id}
Get Static QR Detail
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Path Parameters
Static QR id
Response
200 - application/json
200
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on February 25, 2026
Was this page helpful?
⌘I